using System;
using System.Data;
using System.Data.SqlClient;
using System.Web;
using System.IO;
using UUN;
using System.Collections;
using System.Text;

public partial class wSearch_Video:System.Web.UI.Page
{
	//------------------------------
	// 此文件代码由工具自动生成
	// 2010-5-23 10:49:23
	// UUNSOFT.COM 版权所有
	//------------------------------
	private 访问 访问;
	private StringBuilder 返回值;
	protected void Page_Load(object sender,EventArgs e)
	{
		访问 = new 访问(this.Context);
		访问.是否前台=true;
		访问.是否WML=true;
		访问.开始处理("视频搜索","网站页面","视频搜索",new 访问.回调委托(ZhiXing));
		访问.关闭连接();
	}
	private void ZhiXing()
	{
		返回值=new StringBuilder();
	所属栏目=Request.QueryString["ID"];
	关键字=Request.QueryString["g"];
	一页显示记录数=获取一页显示记录数();
	栏目名称=获取栏目名称();
	跳页表单项="<postfield name=\"ID\" value=\""+
		Server.HtmlEncode(所属栏目)+
		"\"/>"+
		"<postfield name=\"g\" value=\""+
		Server.HtmlEncode(关键字)+
		"\"/>"+
		"<postfield name=\""+程序.设置["标识名称"]+
		"\" value=\""+
		访问.用户["标识"]+
		"\" />";
	_3G跳页表单项="<input type=\"hidden\" name=\"ID\" value=\""+
		Server.HtmlEncode(所属栏目)+
		"\" />"+
		"<input type=\"hidden\" name=\"rec\" value=\""+
		Server.HtmlEncode(关键字)+
		"\" />"+
		"<input type=\"hidden\" name=\""+程序.设置["标识名称"]+
		"\" value=\""+
		访问.用户["标识"]+
		"\" />";
		查询条件+=" WHERE [是否审核]=@是否审核 AND [是否删除]=@是否删除";

		if(关键字!=""&&关键字!=null)
			查询条件+=" AND ("+常用.SQL_搜索条件(关键字,"标题,视频简介")+")";
		if(所属栏目!=null&&所属栏目!=""&&所属栏目!="0")
		{
			查询条件+=" AND (";
			String[] IDS=所属栏目.Split(new char[] { '|' }, StringSplitOptions.RemoveEmptyEntries);
			for(int i=0;i<IDS.Length;i++)
				if(i==0)
					查询条件+="[所属栏目]="+Convert.ToInt32(IDS[i]);
				else
					查询条件+=" OR [所属栏目]="+Convert.ToInt32(IDS[i]);
			查询条件+=")";
		}
		String 数量语句SQL="SELECT COUNT(ID) FROM ["+程序.数据表前缀+"内容_视频_视频]"+查询条件;
		SqlCommand 数量语句=new SqlCommand(数量语句SQL,访问.连接);
		数量语句.Parameters.Add("@是否审核",SqlDbType.Bit).Value=false;
		数量语句.Parameters.Add("@是否删除",SqlDbType.Bit).Value=false;
		当前页=Convert.ToInt32(Request.QueryString["page"]);
		总记录数=Convert.ToInt32(数量语句.ExecuteScalar());
		总页数=常用.计算总页数(总记录数,一页显示记录数);
		当前页=常用.计算当前页(总页数,当前页);
		返回值.Append(@"<?xml version=""1.0"" encoding=""utf-8""?>
<!DOCTYPE wml PUBLIC ""-//WAPFORUM//DTD WML 1.1//EN"" ""http://www.wapforum.org/DTD/wml_1.1.xml"">
<wml>
<head>
<meta http-equiv=""Cache-Control"" content=""max-age=0"" />
</head>

<card title=""视频搜索"">
<p>

");
		返回值.Append(new 消息(this.Context,访问.连接).弹出消息(访问.用户));
		返回值.Append(@"

");

		if(栏目名称!="")
		{
		返回值.Append(@"
栏目:<a href=""Column.aspx?ID=");
		返回值.Append(Server.HtmlEncode(所属栏目));
		返回值.Append(@"&amp;");
		返回值.Append(Server.HtmlEncode(程序.设置["标识名称"].ToString()));
		返回值.Append(@"=");
		返回值.Append(访问.用户["标识"].ToString());
		返回值.Append(@""">");
		返回值.Append(Server.HtmlEncode(栏目名称));
		返回值.Append(@"</a><br/>
");

		}
		返回值.Append(@"

");

		if(关键字!=null&&关键字!="")
		{
		返回值.Append(@"
共找到");
		返回值.Append(总记录数.ToString());
		返回值.Append(@"个视频<br/><br/>
");
		视频列表LLIBDC8N();
		返回值.Append(@"
");
		if(总页数<2)
		{
		}
		else
		{
		返回值.Append(@"----------<br/>
");
		返回值.Append(下页代码FSGLD7AB());
		返回值.Append(@"
");
		返回值.Append(上页代码FICZ551E());
		返回值.Append(@"
");
		返回值.Append(当前页);
		返回值.Append(@"/");
		返回值.Append(总页数);
		返回值.Append(@"页<br/>
<input type=""text"" name=""page"" format=""*N"" value=""2"" size=""2"" /><anchor><go href=""");
		返回值.Append(当前页面);
		返回值.Append(@""" method=""get"">");
		返回值.Append(跳页表单项);
		返回值.Append(@"<postfield name=""page"" value=""$(page)"" /></go>跳转</anchor><br/>");
		}
		返回值.Append(@"
");

		}
		返回值.Append(@"

<input type=""text"" name=""g"" maxlength=""50"" /><br/>
<anchor><go href=""Search_Video.aspx"" method=""get""><postfield name=""ID"" value=""");
		返回值.Append(Server.HtmlEncode(所属栏目));
		返回值.Append(@""" /><postfield name=""g"" value=""$(g)"" /><postfield name=""");
		返回值.Append(Server.HtmlEncode(程序.设置["标识名称"].ToString()));
		返回值.Append(@""" value=""");
		返回值.Append(访问.用户["标识"].ToString());
		返回值.Append(@""" /></go>搜索</anchor><br/><br/>

");

		if(栏目名称!="")
		{
		返回值.Append(@"
<a href=""Column.aspx?ID=");
		返回值.Append(Server.HtmlEncode(所属栏目));
		返回值.Append(@"&amp;");
		返回值.Append(Server.HtmlEncode(程序.设置["标识名称"].ToString()));
		返回值.Append(@"=");
		返回值.Append(访问.用户["标识"].ToString());
		返回值.Append(@""">返回");
		返回值.Append(Server.HtmlEncode(栏目名称));
		返回值.Append(@"</a><br/>
");

		}
		返回值.Append(@"

<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"page.aspx?ID=1",访问.用户["标识"].ToString())));
		返回值.Append(@""">返回首页</a><br/>
");
		返回值.Append(DateTime.Now.ToString(@"MM月dd日 HH:mm"));
		返回值.Append(@"
</p>
</card>
</wml>");
		Response.Write(返回值);
		Response.Write("<!-- Powered by www.uunsoft.com -->");
	}
	private String 当前页面=@"/UUN WAP CMS 3.1/Search_Video.aspx";
	//参数
	private String 所属栏目;
	private String 关键字;
	//其它
	private String 跳页表单项;
	private String _3G跳页表单项;
	private String 查询条件="";
	private String 栏目名称;
	//列表分页
	private int 当前页;
	private int 总页数;
	private int 总记录数;
	private int 一页显示记录数;
	private String 列表跳页(int 页码)
	{
		return Server.HtmlEncode(常用.处理地址(当前页面+"?ID="+
			Server.UrlEncode(所属栏目)+
			"&g="+Server.UrlEncode(关键字)+
			"&page="+页码,访问.用户["标识"].ToString()));
	}
	private String 获取栏目名称()
	{
		String 返回值="";
		if(所属栏目!=null&&所属栏目!=""&&所属栏目.IndexOf('|')<1)
		{
			DataSet 内容栏目=(DataSet)Application["UUN_UUN3G_NeiRongLanMu"];
			for(int i=0;i<内容栏目.Tables[0].Rows.Count;i++)
			{
				DataRow 行=内容栏目.Tables[0].Rows[i];
				if(Convert.ToInt32(行["ID"])==Convert.ToInt32(所属栏目))
					返回值=Convert.ToString(行["栏目名称"]);
			}
		}
		return 返回值;
	}
	private String 生成余下全部地址()
	{
		return "";
	}
	private void 视频列表LLIBDC8N()
	{
		if(总记录数<1)
			返回值.Append(@"暂时还没有视频<br/>");
		String 语句SQL="SELECT [ID],[所属栏目],[外部链接],[标题],[标题样式_粗体],[标题样式_斜体],[标题样式_删除线],[标题样式_颜色] FROM ["+程序.数据表前缀+"内容_视频_视频]"+查询条件;

		语句SQL+=" ORDER BY [ID] DESC";
		SqlCommand 语句=new SqlCommand(语句SQL,访问.连接);
		语句.Parameters.Add("@是否审核",SqlDbType.Bit).Value=false;
		语句.Parameters.Add("@是否删除",SqlDbType.Bit).Value=false;
		DataSet 数据=new DataSet();
		SqlDataAdapter 填充=new SqlDataAdapter(语句);
		填充.Fill(数据,(当前页-1)*一页显示记录数,一页显示记录数,"表");
		for(int i=0;i<数据.Tables[0].Rows.Count;i++)
		{
			DataRow 行=数据.Tables[0].Rows[i];
			返回值.Append(@"");
			返回值.Append((当前页-1)*一页显示记录数+i+1);
			返回值.Append(@".<a href=""");
			返回值.Append(行["外部链接"].ToString()!=""?Server.HtmlEncode(常用.处理地址(行["外部链接"].ToString(),访问.用户["标识"].ToString())):Server.HtmlEncode(常用.处理地址(程序.安装位置+"Content.aspx?CID="+行["所属栏目"]+"&ID="+行["ID"],访问.用户["标识"].ToString())));
			返回值.Append(@""">");
			返回值.Append(常用.强调关键字(常用.标题样式(行["标题"].ToString(),Convert.ToBoolean(行["标题样式_粗体"]),Convert.ToBoolean(行["标题样式_斜体"]),Convert.ToBoolean(行["标题样式_删除线"]),Convert.ToString(行["标题样式_颜色"]),0),关键字,false));
			返回值.Append(@"</a><br/>");
		}
		}

		private String 下页代码FSGLD7AB()
		{
			String 返回值="";
			int 页数=当前页+1;
			if(当前页<总页数)
			{
				返回值+=@"<a href=""";
				返回值+=列表跳页(页数);
				返回值+=@""">下页</a>";

			}
			else
			{

			}

			return 返回值;
		}

		private String 上页代码FICZ551E()
		{
			String 返回值="";
			int 页数=当前页-1;
			if(当前页>1)
			{
				返回值+=@"<a href=""";
				返回值+=列表跳页(页数);
				返回值+=@""">上页</a>";

			}
			else
			{

			}

			return 返回值;
		}
	private int 获取一页显示记录数()
	{
		return 访问.获取一页显示记录数();

	}
}